// Cafi Net JavaScript Document
$(function(){
	
	var min_width_1 = 600;
	var min_width_2 = 1200;
	
	// mobile nav
	$('#menu_button').click(function(){
		if($('#nav').css('margin-left')=='-200px') {
			$('#nav').animate({'margin-left':'0px'},'fast','linear');
		} else {
			$('#nav').animate({'margin-left':'-200px'},'fast','linear');
		}
	});

	$('#nav ul li a').click(function(){	
		if($(document).width() < min_width_1 && $('#nav').css('margin-left')=='0px') {		
			$('#nav').animate({'margin-left':'-200px'},'fast','linear');
		}			
	});	
	
	// scroll
	$('a[href^=#]').click(function(){
		var id = $($(this).attr('href')).offset().top;
		$('body,html').animate({scrollTop:id},500,'swing');
		return false;
	});
	
	// pc nav
	if($(document).width() >= min_width_1 && $(document).width() < min_width_2) {	
		$(window).scroll(function(){
			if($(this).scrollTop() > 80) {
				$('#nav').stop(true).animate({'top':'0px'},'fast','swing').css({'background-color':'rgba(255,255,255,0.80)','padding-top':'10px','padding-bottom':'10px'});
			} else {
				$('#nav').stop(true).animate({'top':'300px'},'fast','swing').css({'background-color':'rgba(255,255,255,0)','padding-top':'30px','padding-bottom':'30px'});
			}
		});
	}
	
	if($(document).width() >= min_width_2) {	
		$(window).scroll(function(){
			if($(this).scrollTop() > 80) {
				$('#nav').stop(true).animate({'top':'0px'},'fast','swing').css({'background-color':'rgba(255,255,255,0.80)','padding-top':'10px','padding-bottom':'10px'});
			} else {
				$('#nav').stop(true).animate({'top':'400px'},'fast','swing').css({'background-color':'rgba(255,255,255,0)','padding-top':'30px','padding-bottom':'30px'});
			}
		});
	}
	
});